STATFILE=$1
SUMLOGFILE=$2
TMP1=.tmp_$RANDOM

if [[ ! -e $STATFILE ]]; then
	echo "File $STATFILE does not exist."
	exit
fi

if [[ ! -e $SUMLOGFILE ]]; then
	echo "File $SUMLOGFILE does not exist."
	exit
fi

awk 	'BEGIN		{OFS="\t"}
	 NR==FNR 	{arr[$1] = $2; next}
	 FNR > 6 	{if (!($1 in arr)) $4 = "NA"; else $4 = arr[$1]} 
			{print $0}' $STATFILE $SUMLOGFILE > $TMP1

mv $SUMLOGFILE ${SUMLOGFILE}_old
mv $TMP1 $SUMLOGFILE

